Package org.apache.solr.client.solrj.request.schema

# Class SchemaRequest.DeleteFieldType

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<SchemaResponse.UpdateResponse>
org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<SchemaResponse.UpdateResponse>
org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
org.apache.solr.client.solrj.request.schema.SchemaRequest.DeleteFieldType

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SchemaRequest`

public static class SchemaRequest.DeleteFieldType extends SchemaRequest.Update
Removes a field type from the schema of the specified collection. If the field type does not exist in the schema, or if any field or dynamic field rule in the schema uses the field type, the method call `SolrRequest.process(SolrClient, String)` will fail.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`DeleteFieldType(String fieldTypeName)`
Creates a new instance of the request.
`DeleteFieldType(String fieldTypeName, SolrParams q)`

## Method Summary

Modifier and Type
Method
Description
`protected NamedList<Object>`
`getRequestParameters()`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

`createResponse, getContentWriter`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeleteFieldType

public DeleteFieldType(String fieldTypeName)
Creates a new instance of the request.

Parameters:
  `fieldTypeName` - the name of the field type to be removed

### DeleteFieldType

public DeleteFieldType(String fieldTypeName, SolrParams q)

## Method Details

### getRequestParameters

protected NamedList<Object> getRequestParameters()

Specified by:
  `getRequestParameters` in class `SchemaRequest.Update`